Bug 96385 - [PATCH] x11/nvidia-driver: update to 1.0.8756
[PATCH] x11/nvidia-driver: update to 1.0.8756
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alexey Dokuchaev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 00:00 UTC by sean-freebsd
Modified: 2006-05-29 15:28 UTC (History)
1 user (show)

See Also:


Attachments
nvidia-driver-1.0.8756.patch (2.02 KB, patch)
2006-04-27 00:00 UTC, sean-freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sean-freebsd 2006-04-27 00:00:36 UTC
- Stop deletion of lib/modules/extensions/libglx.so upon pkg_delete.
- Update to 1.0.8756.
  
  Release Highlights:
  - Adds support for GeForce 7300, GeForce 7400 Go, GeForce 7600 and
    GeForce 7900 GPUs.
  - Added support for running OpenGL applications while the Composite X
    extension is enabled; see "The X Composite Extension" appendix for
    details.
  - Enabled hardware acceleration of the Render X extension by default.
  - Added "AddARGBGLXVisuals" X configuration option, so that OpenGL
    applications can render to X Windows' alpha channel.
  - Added new "nvidia-auto-select" mode entry for use in the X
    configuration file; see description in the "Programming Modes"
    appendix.
  - Added support for GLX 1.4.
  - Added ability for OpenGL applications to span greater than 4096
    pixels when in Xinerama.
  - Improved G-Sync support.
  - Fixed interlaced modes on CRTs. 

Port maintainer (danfe@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Edwin Groothuis freebsd_committer 2006-04-27 00:04:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer
Comment 2 sean 2006-05-23 02:50:33 UTC
After applying patch, apply this patch to go from 8756 to 8762.

diff -ruN nvidia-driver.new/Makefile nvidia-driver/Makefile
--- nvidia-driver.new/Makefile	Wed Apr 26 17:31:19 2006
+++ nvidia-driver/Makefile	Mon May 22 20:45:20 2006
@@ -82,7 +82,7 @@
  PORTREVISION=	3
  EXTRA_PATCHES+=	${FILESDIR}/6113-patch-lib::Makefile
  .else
-NVVERSION=	8756
+NVVERSION=	8762
  EXTRA_PATCHES+=	${FILESDIR}/7667-*
  .endif
  .if ${OSVERSION} >= 600033
diff -ruN nvidia-driver.new/distinfo nvidia-driver/distinfo
--- nvidia-driver.new/distinfo	Wed Apr 26 17:46:57 2006
+++ nvidia-driver/distinfo	Mon May 22 20:47:52 2006
@@ -5,5 +5,5 @@
  SHA256 (NVIDIA-FreeBSD-x86-1.0-7174.tar.gz) = 926dfca6078bcaed486e0e27637faacd6a9eda7a3252d0d7779256e674776532
  SIZE (NVIDIA-FreeBSD-x86-1.0-7174.tar.gz) = 8433799
  MD5 (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = fa80b5400d66b292870e1d641041666e
-SHA256 (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = 3c5e095c62cb5e57dc932a626d75e64cdd4c3c62ab9b1bab1bc0478f987b64b1
-SIZE (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = 9427746
+SHA256 (NVIDIA-FreeBSD-x86-1.0-8762.tar.gz) = f29fa9dd9728a264d0b09267f23acea9ac2c04cc578b1e9644093bb2ade17875
+SIZE (NVIDIA-FreeBSD-x86-1.0-8762.tar.gz) = 9437999
Comment 3 sean-freebsd 2006-05-23 23:33:02 UTC
My last patch to move the origin patch from version 8756 to 8762 left
off the MD5 in the distinfo file.

Sean
-- 
sean-freebsd@farley.org


diff -ru nvidia-driver.new/Makefile nvidia-driver/Makefile
--- nvidia-driver.new/Makefile	Tue May 23 18:21:25 2006
+++ nvidia-driver/Makefile	Mon May 22 20:45:20 2006
@@ -82,7 +82,7 @@
  PORTREVISION=	3
  EXTRA_PATCHES+=	${FILESDIR}/6113-patch-lib::Makefile
  .else
-NVVERSION=	8756
+NVVERSION=	8762
  EXTRA_PATCHES+=	${FILESDIR}/7667-*
  .endif
  .if ${OSVERSION} >= 600033
diff -ru nvidia-driver.new/distinfo nvidia-driver/distinfo
--- nvidia-driver.new/distinfo	Tue May 23 18:21:25 2006
+++ nvidia-driver/distinfo	Tue May 23 18:21:25 2006
@@ -4,6 +4,6 @@
  MD5 (NVIDIA-FreeBSD-x86-1.0-7174.tar.gz) = b57a03e0325617092016144229ae6114
  SHA256 (NVIDIA-FreeBSD-x86-1.0-7174.tar.gz) = 926dfca6078bcaed486e0e27637faacd6a9eda7a3252d0d7779256e674776532
  SIZE (NVIDIA-FreeBSD-x86-1.0-7174.tar.gz) = 8433799
-MD5 (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = fa80b5400d66b292870e1d641041666e
-SHA256 (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = 3c5e095c62cb5e57dc932a626d75e64cdd4c3c62ab9b1bab1bc0478f987b64b1
-SIZE (NVIDIA-FreeBSD-x86-1.0-8756.tar.gz) = 9427746
+MD5 (NVIDIA-FreeBSD-x86-1.0-8762.tar.gz) = ddc62c375db4a6db9007bf9e2d667d2c
+SHA256 (NVIDIA-FreeBSD-x86-1.0-8762.tar.gz) = f29fa9dd9728a264d0b09267f23acea9ac2c04cc578b1e9644093bb2ade17875
+SIZE (NVIDIA-FreeBSD-x86-1.0-8762.tar.gz) = 9437999
Comment 4 Alexey Dokuchaev freebsd_committer 2006-05-29 15:27:34 UTC
State Changed
From-To: open->closed

Committed (finally!), thanks!